Bug 490553 - gimp missing dependency on pygtk2
gimp missing dependency on pygtk2
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gimp (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Nils Philippsen
Fedora Extras Quality Assurance
: EasyFix
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-16 19:12 EDT by Ville Skyttä
Modified: 2009-03-27 10:54 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-17 05:17:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ville Skyttä 2009-03-16 19:12:48 EDT
gimp-2.6.5-1.fc9.x86_64 appears to be missing a dependency on pygtk2, ditto current Rawhide's -4.fc11 based on looking at the specfile.

Without pygtk2 installed:

$ gimp
Traceback (most recent call last):
  File "/usr/lib64/gimp/2.0/plug-ins/python-console.py", line 20, in <module>
    from gimpfu import *                                                     
  File "/usr/lib64/gimp/2.0/python/gimpfu.py", line 75, in <module>          
    import gimp                                                              
ImportError: could not import pygtk                                          

(gimp:15840): LibGimpBase-WARNING **: gimp: gimp_wire_read(): error
Traceback (most recent call last):                                 
  File "/usr/lib64/gimp/2.0/plug-ins/colorxhtml.py", line 25, in <module>
    import gimp                                                          
ImportError: could not import pygtk                                      

(gimp:15840): LibGimpBase-WARNING **: gimp: gimp_wire_read(): error
Traceback (most recent call last):                                 
  File "/usr/lib64/gimp/2.0/plug-ins/py-slice.py", line 31, in <module>
    from gimpfu import *                                               
  File "/usr/lib64/gimp/2.0/python/gimpfu.py", line 75, in <module>    
    import gimp                                                        
ImportError: could not import pygtk                                    

(gimp:15840): LibGimpBase-WARNING **: gimp: gimp_wire_read(): error
Traceback (most recent call last):                                 
  File "/usr/lib64/gimp/2.0/plug-ins/foggify.py", line 20, in <module>
    from gimpfu import *                                              
  File "/usr/lib64/gimp/2.0/python/gimpfu.py", line 75, in <module>   
    import gimp                                                       
ImportError: could not import pygtk                                   

(gimp:15840): LibGimpBase-WARNING **: gimp: gimp_wire_read(): error
Traceback (most recent call last):                                 
  File "/usr/lib64/gimp/2.0/plug-ins/palette-sort.py", line 17, in <module>
    from gimpfu import *                                                   
  File "/usr/lib64/gimp/2.0/python/gimpfu.py", line 75, in <module>        
    import gimp                                                            
ImportError: could not import pygtk                                        

(gimp:15840): LibGimpBase-WARNING **: gimp: gimp_wire_read(): error
Traceback (most recent call last):                                 
  File "/usr/lib64/gimp/2.0/plug-ins/palette-offset.py", line 17, in <module>
    from gimpfu import *                                                     
  File "/usr/lib64/gimp/2.0/python/gimpfu.py", line 75, in <module>          
    import gimp                                                              
ImportError: could not import pygtk                                          

(gimp:15840): LibGimpBase-WARNING **: gimp: gimp_wire_read(): error
Traceback (most recent call last):                                 
  File "/usr/lib64/gimp/2.0/plug-ins/python-eval.py", line 20, in <module>
    from gimpfu import *                                                  
  File "/usr/lib64/gimp/2.0/python/gimpfu.py", line 75, in <module>       
    import gimp                                                           
ImportError: could not import pygtk                                       

(gimp:15840): LibGimpBase-WARNING **: gimp: gimp_wire_read(): error
Traceback (most recent call last):                                 
  File "/usr/lib64/gimp/2.0/plug-ins/palette-to-gradient.py", line 17, in <module>
    from gimpfu import *                                                          
  File "/usr/lib64/gimp/2.0/python/gimpfu.py", line 75, in <module>               
    import gimp                                                                   
ImportError: could not import pygtk                                               

(gimp:15840): LibGimpBase-WARNING **: gimp: gimp_wire_read(): error
Comment 1 Nils Philippsen 2009-03-17 04:33:11 EDT
I've fixed this in gimp-2.6.5-5 which is building for F-9, F-10 and Rawhide right now.
Comment 2 Fedora Update System 2009-03-17 05:15:36 EDT
gimp-2.6.5-5.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/gimp-2.6.5-5.fc10
Comment 3 Fedora Update System 2009-03-27 10:50:25 EDT
gimp-2.6.6-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 4 Fedora Update System 2009-03-27 10:54:57 EDT
gimp-2.6.6-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.